summaryrefslogtreecommitdiff
path: root/udev/udev-042
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
committerChris Larson <clarson@kergoth.com>2004-12-09 09:47:41 +0000
commit2c5b8ec6d95cf68650265941530e5ce38c8dd6d9 (patch)
treebf879bea7ef8517ba8c3d1286ef300401d3d484c /udev/udev-042
parent101e2f1623def0a355d20aacb8bd93810703e834 (diff)
Merge oe-devel@oe-devel.bkbits.net:openembedded
into hyperion.kergoth.com:/home/kergoth/code/openembedded 2004/12/09 03:39:39-06:00 kergoth.com!kergoth Break people's builds again.. this time moving the packages into a packages/ subdir to clean things up a bit. BKrev: 41b81f3dvlp3rU7_8MUXLcI8LDdDoA
Diffstat (limited to 'udev/udev-042')
-rw-r--r--udev/udev-042/flags.patch67
-rw-r--r--udev/udev-042/init176
-rw-r--r--udev/udev-042/noasmlinkage.patch27
-rw-r--r--udev/udev-042/tmpfs.patch16
4 files changed, 0 insertions, 286 deletions
diff --git a/udev/udev-042/flags.patch b/udev/udev-042/flags.patch
deleted file mode 100644
index a5a791df33..0000000000
--- a/udev/udev-042/flags.patch
+++ /dev/null
@@ -1,67 +0,0 @@
-
-#
-# Patch managed by http://www.holgerschurig.de/patcher.html
-#
-
---- udev-042/Makefile~flags
-+++ udev-042/Makefile
-@@ -119,16 +119,18 @@
- endif
-
- ifeq ($(strip $(USE_LOG)),true)
-- CFLAGS += -DLOG
-+ override CFLAGS += -DLOG
- endif
-
- # if DEBUG is enabled, then we do not strip or optimize
-+override CFLAGS += -D_GNU_SOURCE
- ifeq ($(strip $(DEBUG)),true)
-- CFLAGS += -O1 -g -DDEBUG -D_GNU_SOURCE
-+ CFLAGS += -O1 -g
-+ override CFLAGS += -DDEBUG
- LDFLAGS += -Wl,-warn-common
- STRIPCMD = /bin/true -Since_we_are_debugging
- else
-- CFLAGS += $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
-+ CFLAGS += $(OPTIMIZATION) -fomit-frame-pointer
- LDFLAGS += -s -Wl,-warn-common
- STRIPCMD = $(STRIP) -s --remove-section=.note --remove-section=.comment
- endif
-@@ -150,8 +152,8 @@
-
- CRT0 = $(KLIBC_DIR)/crt0.o
- LIBC = $(ARCH_LIB_OBJS) $(LIB_OBJS) $(CRT0)
-- CFLAGS += $(WARNINGS) -nostdinc \
-- $(OPTFLAGS) \
-+ CFLAGS += $(WARNINGS) $(OPTFLAGS)
-+ override CFLAGS += -nostdinc \
- -D__KLIBC__ -fno-builtin-printf \
- -I$(KLIBC_FIXUPS_DIR) \
- -include $(KLIBC_FIXUPS_DIR)/klibc_fixups.h \
-@@ -161,12 +163,13 @@
- -I$(GCCINCDIR) \
- -I$(LINUX_INCLUDE_DIR)
- LIB_OBJS =
-- LDFLAGS = --static --nostdlib -nostartfiles -nodefaultlibs
-+ override LDFLAGS += --static --nostdlib -nostartfiles -nodefaultlibs
- else
- WARNINGS += -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
- CRT0 =
- LIBC =
-- CFLAGS += $(WARNINGS) -I$(GCCINCDIR)
-+ CFLAGS += $(WARNINGS)
-+ override CFLAGS += -I$(GCCINCDIR)
- LIB_OBJS = -lc
- LDFLAGS =
- endif
-@@ -176,8 +179,8 @@
- LIB_OBJS += -lselinux
- endif
-
--CFLAGS += -I$(PWD)/libsysfs/sysfs \
-- -I$(PWD)/libsysfs
-+override CFLAGS += -I$(PWD)/libsysfs/sysfs \
-+ -I$(PWD)/libsysfs
-
- # config files automatically generated
- GEN_CONFIGS = $(LOCAL_CFG_DIR)/udev.conf
diff --git a/udev/udev-042/init b/udev/udev-042/init
deleted file mode 100644
index e6b2986f89..0000000000
--- a/udev/udev-042/init
+++ /dev/null
@@ -1,176 +0,0 @@
-#!/bin/sh -e
-
-PATH="/usr/sbin:/usr/bin:/sbin:/bin"
-
-UDEVSTART=/sbin/udevstart
-
-# default maximum size of the /dev ramfs
-ramfs_size="1M"
-
-[ -x $UDEVSTART ] || exit 0
-
-. /etc/udev/udev.conf
-
-case "$(uname -r)" in
- 2.[012345].*)
- echo "udev requires a kernel >= 2.6, not started."
- exit 0
- ;;
-esac
-
-if ! grep -q '[[:space:]]ramfs$' /proc/filesystems; then
- echo "udev requires ramfs support, not started."
- exit 0
-fi
-
-if [ ! -e /proc/sys/kernel/hotplug ]; then
- echo "udev requires hotplug support, not started."
- exit 0
-fi
-
-##############################################################################
-
-# we need to unmount /dev/pts/ and remount it later over the ramfs
-unmount_devpts() {
- if mountpoint -q /dev/pts/; then
- umount -l /dev/pts/
- fi
-
- if mountpoint -q /dev/shm/; then
- umount -l /dev/shm/
- fi
-}
-
-# mount a ramfs over /dev, if somebody did not already do it
-mount_ramfs() {
- if grep -E -q "^[^[:space:]]+ /dev ramfs" /proc/mounts; then
- return 0
- fi
-
- # /.dev is used by /sbin/MAKEDEV to access the real /dev directory.
- # if you don't like this, remove /.dev/.
- [ -d /.dev ] && mount --bind /dev /.dev
-
- echo -n "Mounting a ramfs over /dev..."
- mount -n -o size=$ramfs_size,mode=0755 -t ramfs none /dev
- echo "done."
-}
-
-# I hate this hack. -- Md
-make_extra_nodes() {
- grep '^[^#]' /etc/udev/links.conf | \
- while read type name arg1; do
- [ "$type" -a "$name" -a ! -e "/dev/$name" -a ! -L "/dev/$name" ] ||continue
- case "$type" in
- L)
- ln -s $arg1 /dev/$name
- ;;
- D)
- mkdir -p /dev/$name
- ;;
- M)
- mknod --mode=600 /dev/$name $arg1
- ;;
- *)
- echo "unparseable line ($type $name $arg1)"
- ;;
- esac
- done
-}
-
-##############################################################################
-
-if [ "$udev_root" != "/dev/" ]; then
- echo "WARNING: udev_root != /dev/"
-
-case "$1" in
- start)
- if [ -e "$udev_root/.udev.tdb" ]; then
- if mountpoint -q /dev/; then
- echo "FATAL: udev is already active on $udev_root."
- exit 1
- else
- echo "WARNING: .udev.tdb already exists on the old $udev_root!"
- fi
- fi
- mount -n -o size=$ramfs_size,mode=0755 -t ramfs none $udev_root
- echo -n "Creating initial device nodes..."
- $UDEVSTART
- echo "done."
- ;;
- stop)
- start-stop-daemon -K -x /sbin/udevd
- echo -n "Unmounting $udev_root..."
- # unmounting with -l should never fail
- if umount -l $udev_root; then
- echo "done."
- else
- echo "failed."
- fi
- ;;
- restart|force-reload)
- $0 stop
- $0 start
- ;;
- *)
- echo "Usage: /etc/init.d/udev {start|stop|restart|force-reload}"
- exit 1
- ;;
-esac
-
- exit 0
-fi # udev_root != /dev/
-
-##############################################################################
-# When modifying this script, do not forget that between the time that
-# the new /dev has been mounted and udevstart has been run there will be
-# no /dev/null. This also means that you cannot use the "&" shell command.
-
-case "$1" in
- start)
- if [ -e "$udev_root/.udev.tdb" ]; then
- if mountpoint -q /dev/; then
- echo "FATAL: udev is already active on $udev_root."
- exit 1
- else
- echo "WARNING: .udev.tdb already exists on the old $udev_root!"
- fi
- fi
- unmount_devpts
- mount_ramfs
- ACTION=add
- echo -n "Creating initial device nodes..."
- $UDEVSTART
- make_extra_nodes
- echo "done."
-# /etc/init.d/mountvirtfs start
- ;;
- stop)
- start-stop-daemon -K -x /sbin/udevd
- unmount_devpts
- echo -n "Unmounting /dev..."
- # unmounting with -l should never fail
- if umount -l /dev; then
- echo "done."
- umount -l /.dev || true
-# /etc/init.d/mountvirtfs start
- else
- echo "failed."
- fi
- ;;
- restart|force-reload)
- start-stop-daemon -K -x /sbin/udevd
- echo -n "Recreating device nodes..."
- ACTION=add
- $UDEVSTART
- make_extra_nodes
- echo "done."
- ;;
- *)
- echo "Usage: /etc/init.d/udev {start|stop|restart|force-reload}"
- exit 1
- ;;
-esac
-
-exit 0
-
diff --git a/udev/udev-042/noasmlinkage.patch b/udev/udev-042/noasmlinkage.patch
deleted file mode 100644
index 1694d4d661..0000000000
--- a/udev/udev-042/noasmlinkage.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-
-#
-# Patch managed by http://www.holgerschurig.de/patcher.html
-#
-
---- udev-042/udev.c~noasmlinkage
-+++ udev-042/udev.c
-@@ -60,7 +60,7 @@
- }
- #endif
-
--static void asmlinkage sig_handler(int signum)
-+static void sig_handler(int signum)
- {
- switch (signum) {
- case SIGALRM:
---- udev-042/udevd.c~noasmlinkage
-+++ udev-042/udevd.c
-@@ -308,7 +308,7 @@
- return;
- }
-
--static void asmlinkage sig_handler(int signum)
-+static void sig_handler(int signum)
- {
- int rc;
-
diff --git a/udev/udev-042/tmpfs.patch b/udev/udev-042/tmpfs.patch
deleted file mode 100644
index 9d0d8b4515..0000000000
--- a/udev/udev-042/tmpfs.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-
-#
-# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
-#
-
---- udev-031/extras/start_udev~tmpfs 2004-09-10 17:10:03.000000000 -0400
-+++ udev-031/extras/start_udev 2004-09-11 15:18:15.560789160 -0400
-@@ -85,7 +85,7 @@
- fi
-
- echo "mounting... ramfs at $udev_root"
--mount -n -t ramfs none $udev_root
-+mount -n -t ramfs none $udev_root || mount -n -t tmpfs none $udev_root
-
- # propogate /udev from /sys
- echo "Creating initial udev device nodes:"